<%= form_with(model: maintenance) do |form| %>
  <% if maintenance.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(maintenance.errors.count, "error") %> prohibited this maintenance from being saved:</h2>

      <ul>
        <% maintenance.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :name, style: "display: block" %>
    <%= form.select(:maintenance_ressource_id) do %>
                        <%= select_option_tag("", nil, @maintenance.maintenance_ressource_id) %>
                        <% @ressources.each do |l| %>
                            <%= select_option_tag(l.name, l.id, @maintenance.maintenance_ressource_id) %>
                        <% end %>
                    <% end %>
  </div>


  
  <div>
    <%= form.label :date_start, style: "display: block" %>
    <%= form.date_field :date_start %>
  </div>

  <div>
    <%= form.label :date_end, style: "display: block" %>
    <%= form.date_field :date_end %>
  </div>

  <div>
    <%= form.label :contact_id, style: "display: block" %>
    <%= form.select(:contact_id) do %>
                        <%= select_option_tag("", nil, @maintenance.contact_id) %>
                        <% Utilisateur.where(service: current_user.utilisateur.service).order(:prenom).each do |l| %>
                            <%= select_option_tag(l.prenom_nom, l.id, @maintenance.contact_id) %>
                        <% end %>
                    <% end %>
  </div>
  

  <div>
    <%= form.submit %>
  </div>
<% end %>
